package com.lukouguoji.aerologic.page.gnj.move.stash.list

import android.content.Context
import android.content.Intent
import android.os.Bundle
import com.lukouguoji.aerologic.R
import com.lukouguoji.aerologic.databinding.ActivityGnjMoveStashListBinding
import com.lukouguoji.module_base.base.BaseBindingActivity
import com.lukouguoji.module_base.ktx.getLifecycleOwner

class GnjMoveStashListActivity :
    BaseBindingActivity<ActivityGnjMoveStashListBinding, GnjMoveStashListViewModel>() {
    override fun layoutId() = R.layout.activity_gnj_move_stash_list

    override fun viewModelClass() = GnjMoveStashListViewModel::class.java

    override fun initOnCreate(savedInstanceState: Bundle?) {
        setBackArrow("国内进港移库")

        binding.viewModel = viewModel

        viewModel.pageModel
            .bindSmartRefreshLayout(binding.srl, binding.rv, viewModel, getLifecycleOwner())

        viewModel.refresh()
    }

    companion object {
        @JvmStatic
        fun start(context: Context) {
            val starter = Intent(context, GnjMoveStashListActivity::class.java)
            context.startActivity(starter)
        }
    }

}